Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001219KdenliveMLTpublic2009-10-18 14:562010-02-20 08:17
Reporterdoitux 
Assigned Toddennedy 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platform32 bit intel and alikeOSOpenSUSEOS Version11.1
Product VersionRecent git 
Target VersionFixed in Version0.7.7 
Summary0001219: cracking sound when playing dv with melt
DescriptionHi!
i noticed a cracking sound while preview playing dv clips in kdenlive and also after rendering to any format.

Here is the test file:
http://violin-unterricht.de/sound_test.dv [^]

When playing the file in xine and mplayer it works fine. Playing the file with current svn melt or rendering via kdenlive there is a cracking noise in the sound.
TagsNo tags attached.
Build/Install MethodBuild Wizard
Attached Files

- Relationships

-  Notes
(0004180)
j-b-m (administrator)
2009-10-18 22:57

Confirmed. File plays fine with ffplay but not with melt.
(0004223)
doitux (updater)
2009-10-29 22:51

Hi ddennedy

Anything i can help testing or debugging to get this issue fixed?

best regards
doitux
(0004315)
ddennedy (developer)
2009-11-21 05:05

I reproduce the problem when using the avformat producer but not when using the libdv one - both in v0.4.6 and trunk head.
(0004316)
ddennedy (developer)
2009-11-21 06:46

Generating WAVs using each producer and doing some waveform analysis in Audacity, it does appear that the avformat producer is slowly, methodically dropping audio samples as the waveforms gradually grow out of alignment with the avformat one drifting to the left or less in time.
(0004317)
ddennedy (developer)
2009-11-21 07:08

I found a math error. Fixed in git commit a7d9b23.

- Issue History
Date Modified Username Field Change
2009-10-18 14:56 doitux New Issue
2009-10-18 14:56 doitux Build/Install Method => Build Wizard
2009-10-18 22:57 j-b-m Note Added: 0004180
2009-10-18 22:57 j-b-m Status new => acknowledged
2009-10-24 05:47 ddennedy Status acknowledged => assigned
2009-10-24 05:47 ddennedy Assigned To => ddennedy
2009-10-29 22:51 doitux Note Added: 0004223
2009-11-21 05:05 ddennedy Note Added: 0004315
2009-11-21 06:46 ddennedy Note Added: 0004316
2009-11-21 07:08 ddennedy Note Added: 0004317
2009-11-21 07:08 ddennedy Status assigned => resolved
2009-11-21 07:08 ddennedy Fixed in Version => future version
2009-11-21 07:08 ddennedy Resolution open => fixed
2010-02-02 10:34 j-b-m Fixed in Version future version => 0.7.7
2010-02-20 08:17 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker